Skip to main content
POST
/
v3
/
analytics
/
feature-importance
/
precomputed
Get precomputed feature importance
curl --request POST \
  --url https://{host}/v3/analytics/feature-importance/precomputed \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "model_task": "<string>",
    "model_input_type": "<string>",
    "total_input_samples": 10000,
    "valid_input_samples": 9000,
    "ci_level": 0.9,
    "feature_names": [
      "CreditScore",
      "Geography",
      "Age"
    ],
    "fixed_sample_ci": [
      0.04,
      0.002,
      0.1
    ],
    "loss": "pointwise_logloss",
    "mean_loss": 2.41122,
    "mean_loss_ci": 0.0434,
    "mean_loss_increase_importance": [
      -0.0581,
      -0.097,
      -0.0707
    ],
    "num_refs": 500,
    "random_sample_ci": [
      0.024,
      0.0204,
      0.0246
    ],
    "num_inputs": 250,
    "num_iterations": 200,
    "env_name": "bank_churn",
    "env_uuid": "bcb8e333-39d1-4ba5-a485-dec1591f7122",
    "created_at": "2023-12-12T18:21:07.616Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model_id
string<uuid>
required

Unique identifier for model.

Response

Precomputed Feature importance retrieval ran successfully on the given data

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object